function selectChoice() {
    // Get the textarea element
    var textarea = document.querySelector('textarea');

    // Get the value of the textarea and split it into an array of choices
    var choices = textarea.value.split(',');

    // Remove leading and trailing whitespaces from each choice
    choices = choices.map(function(choice) {
        return choice.trim();
    });

    // Remove any empty choices
    choices = choices.filter(function(choice) {
        return choice !== '';
    });

    // If there are no choices, display an alert
    if (choices.length === 0) {
        alert('Please enter at least one choice.');
        return;
    }

    // Generate a random index to select a choice from the array
    var randomIndex = Math.floor(Math.random() * choices.length);

    // Get the selected choice
    var selectedChoice = choices[randomIndex];

    // Display the selected choice
    document.getElementById('result').innerHTML = 'Your random choice is: ' + selectedChoice;
}